<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?> 
 <!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern id="IRM-ID-00011" xmlns:sch="http://purl.oclc.org/dsdl/schematron">
    <sch:p id="ruleText">
        [IRM-ID-00011][Error] If an element ddms:metacardInfo/ddms:identifier does not exist
        with the attribute @ddms:qualifier value of [IC-ID].
        
        Human Readable: Every metacard must have an ID identified as an [IC-ID].
    </sch:p>
    
    <sch:p id="codeDesc">
        This rule checks that for each qualifier attribute in path 
        ddms:metacardInfo/ddms:identifier/@ddms:qualifier, that its normalized value 
        with leading- and trailing-spaces removed is equal to 'IC-ID'. If there is at least one attribute
        with the given qualifier attribute, the rule is satisfied.
    </sch:p>
    
    <sch:rule context="ddms:metacardInfo">
        <sch:assert 
            test="
                some $qualifier in ddms:identifier/@ddms:qualifier satisfies
                    normalize-space(string($qualifier)) = 'IC-ID'
            " flag="error">
            [IRM-ID-00011][Error] Every metacard must have an ID identified as an [IC-ID].
        </sch:assert>
    </sch:rule>
</sch:pattern>