<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?> 
 <!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern id="IRM-ID-00037" xmlns:sch="http://purl.oclc.org/dsdl/schematron">
    <sch:p id="ruleText">
        [IRM-ID-00037][Error]
        If the attribute @ddms:POCType is specified with a value of [ORCON], then there 
        must exist a descendant element ddms:phone with a value specified.
        
        Human Readable: Elements denoted as POCs for an ORIGINATOR CONTROLLED memo 
        must specify a phone number for that POC.
    </sch:p>
    
    <sch:p id="codeDesc">
       For any node that has the attribute @ddms:POCType with a value of 'ORCON', the 
       code will determine if there exists a descendant element ddms:phone with a non-null, 
       non-whitespace text value. If the value exists, the rule will return true; otherwise, 
       false will be returned.
    </sch:p>
    
		<sch:rule context="*[tokenize(string(@ddms:POCType),' ')='ORCON']">
        <sch:assert 
            test="normalize-space(descendant::ddms:phone/text())"
            flag="error">
            [IRM-ID-00037][Error]
            If the attribute @ddms:POCType is specified with a value of [ORCON], then there 
            must exist a descendant element ddms:phone with a value specified.
            
            Human Readable: Elements denoted as POCs for an ORIGINATOR CONTROLLED memo 
            must specify a phone number for that POC.
        </sch:assert>
    </sch:rule>
    
    
</sch:pattern>