<?xml version="1.0" encoding="UTF-8"?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern id="IRM-ID-00055" xmlns:sch="http://purl.oclc.org/dsdl/schematron">
	<sch:p id="ruleText"> [IRM-ID-00055][Error] If ddms:geospatialCoverage/@order is specified then
		there must be one and only one of ddms:geospatialIdentifier/ddms:countryCode or
		ddms:geospatialIdentifier/ddms:subDivisionCode. Human Readable: A single order value must be
		applied to one country code or one subdivision code but not to both. </sch:p>

	<sch:p id="codeDesc"> Make sure that there is only one ddms:countryCode or order ddms:subDivisionCode when
		ddms:geospatialCoverage uses the order attribute.</sch:p>

	<sch:rule context="ddms:geospatialCoverage[@ddms:order]">
		<sch:assert 
			id="IRM-00055"
			test="count(ddms:geographicIdentifier/ddms:countryCode) + count(ddms:geographicIdentifier/ddms:subDivisionCode) = 1"
			flag="error">
			[IRM-ID-00055][Error] If ddms:geospatialCoverage/@order is specified then
			there must be one and only one of ddms:geospatialIdentifier/ddms:countryCode or
			ddms:geospatialIdentifier/ddms:subDivisionCode. Human Readable: A single order value
			must be applied to one country code or one subdivision code 
		</sch:assert>
	</sch:rule>
</sch:pattern>
